# Get Spend Limit

Retrieves a Spend Limit by ID

Endpoint: GET /v2/spend_limits/{id}
Version: 1.0
Security: OAuth2

## Path parameters:

  - `id` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique ID for the Spend Limit.

  - `account_id` (string, required)
    The Brex account this Spend Limit belongs to.

  - `name` (string, required)
    Name for the Spend Limit.

  - `description` (string,null)
    Description of what the Spend Limit is used for.

  - `parent_budget_id` (string,null)
    ID of parent Budget.

  - `status` (string, required)
    Status of the Spend Limit e.g. ACTIVE.
    Enum: "ACTIVE", "EXPIRED", "ARCHIVED", "DELETED"

  - `period_recurrence_type` (string, required)
    Period type of the Spend Limit e.g. MONTHLY.
    Enum: "PER_WEEK", "PER_MONTH", "PER_QUARTER", "PER_YEAR", "ONE_TIME"

  - `start_date` (string,null)
    The date when the Spend Limit should start counting.

  - `end_date` (string,null)
    The date when the Spend Limit should expire.

  - `start_time_utc` (string,null)
    The UTC time when the Spend Limit should start counting.

  - `end_time_utc` (string,null)
    The UTC time when the Spend Limit should expire.

  - `authorization_settings` (object,null)
    Spend authorization settings.

  - `authorization_settings.base_limit` (object, required)
    Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination
of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700.

  - `authorization_settings.base_limit.amount` (integer, required)
    The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents.
    Example: 700

  - `authorization_settings.base_limit.currency` (string,null)
    The type of currency, in ISO 4217 format.
    Example: "USD"

  - `authorization_settings.limit_buffer_percentage` (integer,null)
    The percentage of flexible buffer on the limit as a 0-100 integer.

  - `authorization_settings.authorization_type` (string, required)
    Whether authorizations will decline based on available balance.
    Enum: "HARD", "SOFT"

  - `authorization_settings.rollover_refresh_rate` (string, required)
    The rollover refresh rate for this spend limit (the recurrence by which all rolled over unused funds within the cycle should no longer roll over to the next period).
    Enum: "OFF", "NEVER", "PER_MONTH", "PER_QUARTER", "PER_YEAR"

  - `authorization_settings.limit_with_increases` (object, required)
    Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination
of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700.

  - `authorization_settings.limit_with_increases.amount` (integer, required)
    The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents.
    Example: 700

  - `authorization_settings.limit_with_increases.currency` (string,null)
    The type of currency, in ISO 4217 format.
    Example: "USD"

  - `expense_visibility` (string, required)
    Whether or not expense related to this Spend Limit should be viewable to all members.
    Enum: "SHARED", "PRIVATE"

  - `authorization_visibility` (string, required)
    Describes if the limit of the Spend Limit is visible to all members, or just controllers, bookkeepers, and owners (direct or ancestral).
    Enum: "PUBLIC", "PRIVATE"

  - `merchant_category_controls` (object,null)
    The Spend Limit's merchant category controls.

  - `merchant_category_controls.allowed_merchant_categories` (array,null)
    Enum: "ADVERTISING_MARKETING", "GROCERY", "TELEPHONY", "OFFICE_SUPPLIES", "PRIVATE_AIR_TRAVEL", "CLOTHING", "CAR_RENTAL", "VEHICLE_EXPENSES", "RESTAURANTS", "GAMBLING", "FLOWERS", "ELECTRONICS", "LEGAL_SERVICES", "UTILITIES", "FURNITURE", "BARS_NIGHTLIFE", "LAUNDRY", "EVENT_EXPENSES", "SHIPPING", "OTHER_TRAVEL_EXPENSES", "CHARITY", "SOFTWARE", "LODGING", "FACILITIES_EXPENSES", "SERVERS", "CONFERENCES", "FOOD_DELIVERY", "RENT", "AIRLINE_EXPENSES", "OTHER_BUSINESS_EXPENSES", "BANK_FINANCIAL_FEES", "BOOKS_NEWSPAPERS", "CONSULTANT_CONTRACTOR", "CORPORATE_INSURANCE", "DIGITAL_GOODS", "LICENSES_TAXES", "GAS_FUEL", "GENERAL_MERCHANDISE", "MEDICAL", "MEMBERSHIPS_CLUBS", "PARKING_EXPENSES", "POLITICAL_DONATIONS", "PUBLIC_TRANSPORTATION", "RECURRING_SOFTWARE_SAAS", "RIDESHARE_TAXI", "TOLL_BRIDGE_FEES", "TRAINING_EDUCATION", "TRAVEL"

  - `merchant_category_controls.blocked_merchant_categories` (array,null)
    Enum: "ADVERTISING_MARKETING", "GROCERY", "TELEPHONY", "OFFICE_SUPPLIES", "PRIVATE_AIR_TRAVEL", "CLOTHING", "CAR_RENTAL", "VEHICLE_EXPENSES", "RESTAURANTS", "GAMBLING", "FLOWERS", "ELECTRONICS", "LEGAL_SERVICES", "UTILITIES", "FURNITURE", "BARS_NIGHTLIFE", "LAUNDRY", "EVENT_EXPENSES", "SHIPPING", "OTHER_TRAVEL_EXPENSES", "CHARITY", "SOFTWARE", "LODGING", "FACILITIES_EXPENSES", "SERVERS", "CONFERENCES", "FOOD_DELIVERY", "RENT", "AIRLINE_EXPENSES", "OTHER_BUSINESS_EXPENSES", "BANK_FINANCIAL_FEES", "BOOKS_NEWSPAPERS", "CONSULTANT_CONTRACTOR", "CORPORATE_INSURANCE", "DIGITAL_GOODS", "LICENSES_TAXES", "GAS_FUEL", "GENERAL_MERCHANDISE", "MEDICAL", "MEMBERSHIPS_CLUBS", "PARKING_EXPENSES", "POLITICAL_DONATIONS", "PUBLIC_TRANSPORTATION", "RECURRING_SOFTWARE_SAAS", "RIDESHARE_TAXI", "TOLL_BRIDGE_FEES", "TRAINING_EDUCATION", "TRAVEL"

  - `transaction_limit` (object,null)
    Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination
of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700.

  - `transaction_limit.amount` (integer, required)
    The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents.
    Example: 700

  - `transaction_limit.currency` (string,null)
    The type of currency, in ISO 4217 format.
    Example: "USD"

  - `limit_increase_setting` (string, required)
    Whether or not members can request limit increases.
    Enum: "ENABLED", "DISABLED"

  - `spend_type` (string, required)
    Whether this Spend Limit only can be spent from by cards provisioned by this Spend Limit.
    Enum: "BUDGET_PROVISIONED_CARDS_ONLY", "NON_BUDGET_PROVISIONED_CARDS_ALLOWED"

  - `auto_transfer_cards_setting` (string, required)
    Setting for how auto transfer works for virtual cards.
    Enum: "DISABLED", "ENABLED"

  - `auto_create_limit_cards_setting` (string, required)
    Setting for how auto limit card creation works for members.
    Enum: "DISABLED", "ALL_MEMBERS"

  - `owner_user_ids` (array, required)
    User IDs of the owners of the Spend Limit.

  - `member_user_ids` (array, required)
    User IDs of the members of the Spend Limit.

  - `expense_policy_id` (string, required)
    The ID of the expense policy corresponding to this Spend Limit.

  - `limit_increase_request_policy_id` (string,null)
    The ID of the policy for limit increase requests for this Spend Limit.

  - `limit_approval_policy_id` (string,null)
    The ID of the policy for limit increase approval requests. Meant to replace limit_increase_request_policy_id.

  - `current_period_balance` (object,null)

  - `current_period_balance.start_date` (string,null)

  - `current_period_balance.end_date` (string,null)

  - `current_period_balance.start_time` (string,null)

  - `current_period_balance.end_time` (string,null)

  - `current_period_balance.amount_spent` (object,null)
    Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination
of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700.

  - `current_period_balance.amount_spent.amount` (integer, required)
    The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents.
    Example: 700

  - `current_period_balance.amount_spent.currency` (string,null)
    The type of currency, in ISO 4217 format.
    Example: "USD"

  - `current_period_balance.rollover_amount` (object,null)
    Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination
of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700.

  - `current_period_balance.rollover_amount.amount` (integer, required)
    The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents.
    Example: 700

  - `current_period_balance.rollover_amount.currency` (string,null)
    The type of currency, in ISO 4217 format.
    Example: "USD"

  - `legal_entity_id` (string,null)
    The legal entity ID to which Spend Limit expenses will be attributed. If not set, expenses will be attributed to the spending user's entity.

  - `department_id` (string,null)
    The department ID to which Spend Limit expenses will be attributed.


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields
